KerberosName (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class KerberosName

    java.lang.Object
      org.apache.hadoop.security.KerberosName

    public class KerberosName

extends Object

This class implements parsing and handling of Kerberos principal names. In particular, it splits them apart and translates them down into local operating system names.

Nested Class Summary
`static class` | `KerberosName.BadFormatString`
`static class` | `KerberosName.NoMatchingRule`

Constructor Summary
`KerberosName(String name)` Create a name from the full Kerberos principal name.

Method Summary
`String` | `getDefaultRealm()` Get the configured default realm.
`String` | `getHostName()` Get the second component of the name.
`String` | `getRealm()` Get the realm of the name.
`String` | `getServiceName()` Get the first component of the name.
`String` | `getShortName()` Get the translation of the principal name into an operating system user name.
`static boolean` | `hasRulesBeenSet()` Indicates if the name rules have been set.
`static void` | `main(String[] args)`
`static void` | `printRules()`
`static void` | `setConfiguration(Configuration conf)` Set the static configuration to get the rules.
`static void` | `setRules(String ruleString)` Set the rules.
`String` | `toString()` Put the name back together from the parts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KerberosName

    public KerberosName(String name)

  Create a name from the full Kerberos principal name.

  Parameters:
    `name` -

Method Detail

### getDefaultRealm

    public String getDefaultRealm()

  Get the configured default realm.

  Returns:
    the default realm from the krb5.conf

### toString

    public String toString()

  Put the name back together from the parts.

  Overrides:
    `toString` in class `Object`

### getServiceName

    public String getServiceName()

  Get the first component of the name.

  Returns:
    the first section of the Kerberos principal name

### getHostName

    public String getHostName()

  Get the second component of the name.

  Returns:
    the second section of the Kerberos principal name, and may be null

### getRealm

    public String getRealm()

  Get the realm of the name.

  Returns:
    the realm of the name, may be null

### setConfiguration

    public static void setConfiguration(Configuration conf)
                                 throws IOException

  Set the static configuration to get the rules.

  IMPORTANT: This method does a NOP if the rules have been set already. If there is a need to reset the rules, the `setRules(String)` method should be invoked directly.

  Parameters:
    `conf` - the new configuration
  Throws:
    `IOException`

### setRules

    public static void setRules(String ruleString)

  Set the rules.

  Parameters:
    `ruleString` - the rules string.

### getShortName

    public String getShortName()
                        throws IOException

  Get the translation of the principal name into an operating system user name.

  Returns:
    the short name
  Throws:
    `IOException`

### hasRulesBeenSet

    public static boolean hasRulesBeenSet()

  Indicates if the name rules have been set.

  Returns:
    if the name rules have been set.

### printRules

    public static void printRules()
                           throws IOException

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation